#include "tools.h"

char* IndentMenuItem(const char* szString)
{
    char* szIndented = NULL;
    asprintf(&szIndented, "  %s", szString);
    return szIndented;
}

void PatchFont(eDvbFont DvbFont)
{
    const cFont *font = cFont::GetFont(DvbFont);
    int num_rows_global = font->Height();
    int num_rows = num_rows_global+2;
    int i,j,num_char;
    cFont::tPixelData* font_data = new cFont::tPixelData[225*(num_rows)];
    for (i = 0; i < 225; i++)
	for (j = 0; j < num_rows; j++)
	    font_data[(i*num_rows)+j]=0x0000000000000000;
    font_data[0+0]=6;//font->CharData(0)->width;
    font_data[0+1]=num_rows_global;
    for(num_char=33, i = 1; num_char<256; i++, num_char++)
    {
	const cFont::tCharData* char_data = font->CharData(num_char);
	font_data[i*num_rows+0] = (num_char>=127 && num_char<=129)?6:char_data->width;
	font_data[i*num_rows+1] = char_data->height;
	for(j = 0; j<(int)char_data->height; j++)
	{
	    cFont::tPixelData Data = (cFont::tPixelData)char_data->lines[j];
	    if (j>5 && j<(DvbFont==fontOsd?23:18))
	    {
		if (num_char == 127)
		    Data = (cFont::tPixelData)0x0000007f;
		if (num_char == 128)
		    Data = (cFont::tPixelData)0x0000000f;
		if (num_char == 129)
		    Data = (cFont::tPixelData)0x00000070;
	    }
	    font_data[(i*num_rows)+2+j] = Data;
	}
    }
    cFont::SetFont(DvbFont, font_data);
}

#if VDRVERSNUM <= 10310    
time_t LastModifiedTime(const char *FileName)
{
  struct stat fs;
  if (stat(FileName, &fs) == 0)
     return fs.st_mtime;
  return 0;
}
#endif

